run: exercise_05_11
	./exercise_05_11
	
exercise_05_11: exercise_05_11.o .gitignore
	clang++ exercise_05_11.o -o exercise_05_11
	
exercise_05_11.ii: exercise_05_11.cpp
	clang++ -E exercise_05_11.cpp -o exercise_05_11.ii
	
exercise_05_11.s: exercise_05_11.ii
	clang++ -S exercise_05_11.ii -o exercise_05_11.s
	
exercise_05_11.o: exercise_05_11.s 
	clang++ -c exercise_05_11.s -o exercise_05_11.o
	
.gitignore:
	echo exercise_05_11 > .gitignore
	
clean:
	rm *.ii *.s *.o exercise_05_11 .gitignore

